Upstream information

CVE-2019-12220 at MITRE

Description

An issue was discovered in libSDL2.a in Simple DirectMedia Layer (SDL) 2.0.9 when used in conjunction with libSDL2_image.a in SDL2_image 2.0.4. There is an out-of-bounds read in the SDL function SDL_FreePalette_REAL at video/SDL_pixels.c.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 4.3
Vector AV:N/AC:M/Au:N/C:N/I:N/A:P
Access Vector Network
Access Complexity Medium
Authentication None
Confidentiality Impact None
Integrity Impact None
Availability Impact Partial
CVSS v3 Scores
  National Vulnerability Database
Base Score 6.5
Vector CVSS:3.0/AV:N/AC:L/PR:N/UI:R/S:U/C:N/I:N/A:H
Attack Vector Network
Attack Complexity Low
Privileges Required None
User Interaction Required
Scope Unchanged
Confidentiality Impact None
Integrity Impact None
Availability Impact High
CVSSv3 Version 3
SUSE Bugzilla entry: 1135806 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Package Hub 15 SP1
  • libSDL2_image-2_0-0 >= 2.0.5-bp151.4.3.1
  • libSDL2_image-2_0-0-64bit >= 2.0.5-bp151.4.3.1
  • libSDL2_image-devel >= 2.0.5-bp151.4.3.1
  • libSDL2_image-devel-64bit >= 2.0.5-bp151.4.3.1
Patchnames:
openSUSE-2019-2108
SUSE Package Hub 15
  • libSDL2_image-2_0-0 >= 2.0.5-bp150.3.6.1
  • libSDL2_image-2_0-0-64bit >= 2.0.5-bp150.3.6.1
  • libSDL2_image-devel >= 2.0.5-bp150.3.6.1
  • libSDL2_image-devel-64bit >= 2.0.5-bp150.3.6.1
Patchnames:
openSUSE-2019-2108
openSUSE Leap 15.0
  • libSDL2_image-2_0-0 >= 2.0.5-lp150.9.1
  • libSDL2_image-2_0-0-32bit >= 2.0.5-lp150.9.1
  • libSDL2_image-devel >= 2.0.5-lp150.9.1
  • libSDL2_image-devel-32bit >= 2.0.5-lp150.9.1
Patchnames:
openSUSE-2019-2070
openSUSE Leap 15.1
  • libSDL2_image-2_0-0 >= 2.0.5-lp151.2.5.1
  • libSDL2_image-2_0-0-32bit >= 2.0.5-lp151.2.5.1
  • libSDL2_image-devel >= 2.0.5-lp151.2.5.1
  • libSDL2_image-devel-32bit >= 2.0.5-lp151.2.5.1
Patchnames:
openSUSE-2019-2070
openSUSE Leap 15.2
  • libSDL2_image-2_0-0 >= 2.0.5-lp152.1.6
Patchnames:
openSUSE Leap 15.2 GA libSDL2_image-2_0-0-2.0.5-lp152.1.2
openSUSE Tumbleweed
  • libSDL2_image-2_0-0 >= 2.0.5-1.14
  • libSDL2_image-2_0-0-32bit >= 2.0.5-1.14
  • libSDL2_image-devel >= 2.0.5-1.14
  • libSDL2_image-devel-32bit >= 2.0.5-1.14
Patchnames:
openSUSE Tumbleweed GA libSDL2_image-2_0-0-2.0.5-1.14


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
SUSE Package Hub 15 SDL2_image Released
SUSE Package Hub 15 SP1 SDL2_image Released


SUSE Timeline for this CVE

CVE page created: Mon May 20 22:09:11 2019
CVE page last modified: Mon Nov 28 14:43:26 2022